package intrinsic.mx.messaging.channels;

public class HTTPChannel extends intrinsic.mx.messaging.channels.PollingChannel {

	/** Accessors */
	public boolean pollingEnabled;
	public boolean polling;
	public double pollingInterval;
	public String protocol;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HTTPChannel() {
}

public HTTPChannel(Object arg0) {
}

public HTTPChannel(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void applySettings(intrinsic.XML arg0);

}
